Method: projects.locations.apps.message.send

Sends a message to an agent.

HTTP request

POST https://ces.googleapis.com/v1/{tenant=projects/*/locations/*/apps/*}/message:send

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
tenant

string

Optional. Tenant ID, provided as a path parameter.

Request body

The request body contains data with the following structure:

JSON representation
{
  "message": {
    object (Message)
  },
  "configuration": {
    object (SendMessageConfiguration)
  },
  "metadata": {
    object
  }
}
Fields
message

object (Message)

Required. The message to send to the agent.

configuration

object (SendMessageConfiguration)

Configuration for the send request.

metadata

object (Struct format)

A flexible key-value map for passing additional context or parameters.

Response body

Represents the response for the message.send method.

If successful, the response body contains data with the following structure:

JSON representation
{

  // Union field payload can be only one of the following:
  "task": {
    object (Task)
  },
  "message": {
    object (Message)
  }
  // End of list of possible types for union field payload.
}
Fields
Union field payload. The payload of the response. payload can be only one of the following:
task

object (Task)

The task created or updated by the message.

message

object (Message)

A message from the agent.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.